---
kind: pipeline
type: docker
name: default

platform:
  os: linux
  arch: amd64

trigger:
  event:
  - cron
  - custom
  - tag

steps:
- name: build
  image: plugins/docker
  settings:
    registry: registry.fk.jochum.dev
    username: robot$jochum+drone
    password: 
      from_secret: registry.fk.jochum.dev-robot
    repo: registry.fk.jochum.dev/jochum/homepage
    auto_tag: true
    build_args:
      - HUGO_VERSION=${DRONE_TAG:1}
      - URL=https://jochum.dev